Retrieve the conversations list

Encoding : UTF-8

Authentication

Your 'api-key' and 'api-login' identifiers must be added in the headers.

Definition

This web service allows you to retrieve the list of your conversations.

Parameters

NameTypeDescription
pageintThe page number to retrieve (default is 1)
per_pageintThe number of items per page (default is 100)

How Our API Deals With Incorrect Data

The API we provide will try to interpret your request as best it can. If a parameter has the wrong value, we will try to understand it anyway. If the parameter has the wrong type, we will try to format it as best we can. Thus, we have determined default values, which are indicated in our documentation. If a parameter could not be recognized or "fixed", we will ignore it, but your request will be sent.
If one of your parameters does not have the right value, or does not have the right type, we will try to:

  • "cast" (convert) it so that it can be understood.
  • format it (delete prohibited characters for example)

Server Response Example in JSON

Success

[
  {
    "conversation_id": "****",
    "last_user_channel": "rcs",
    "recipient_details": {
      "phone_number": "***",
      "name": "***"
    },
    "from": "***@rcs.goog",
    "first_message_at": "2024-06-21T05:08:06+02:00",
    "last_message_at": "2024-06-21T05:08:06+02:00",
    "last_message": "RCS 1",
    "purpose": "alert",
    "color": 0,
    "number_of_messages": 1
  },
  {
    "conversation_id": "***",
    "last_user_channel": "sms",
    "recipient_details": {
      "phone_number": "***",
      "name": "***"
    },
    "agent_assigned_to": "***",
    "from": "12345",
    "first_message_at": "2024-06-07T05:03:06+02:00",
    "last_message_at": "2024-06-07T05:22:43+02:00",
    "last_message": "sms 1",
    "purpose": "alert",
    "color": 2,
    "number_of_messages": 4
  }
]
Query Params
string
Defaults to 1
string
Defaults to 100
Headers
string
required

Your api login from your account

string
required

Your api key from your account

Responses

400

Bad request.

401

Unauthorized.

403

Forbidden to view.

404

Conversation not found.

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json